Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDConstants

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDConstants

Direct Known Subclasses:
  WSDDDocument, WSDDElement

public class WSDDConstants
extends java.lang.Object

Field Summary
`static java.lang.String` | `ARRAY_DESERIALIZER_FACTORY`
`static java.lang.String` | `ARRAY_SERIALIZER_FACTORY`
`static java.lang.String` | `ATTR_ATTACHMENT_FORMAT`
`static java.lang.String` | `ATTR_CLASS`
`static java.lang.String` | `ATTR_CLASSNAME`
`static java.lang.String` | `ATTR_DESERIALIZER`
`static java.lang.String` | `ATTR_ENCSTYLE`
`static java.lang.String` | `ATTR_INHEADER`
`static java.lang.String` | `ATTR_INNER_NAME`
`static java.lang.String` | `ATTR_INNER_TYPE`
`static java.lang.String` | `ATTR_ITEMQNAME`
`static java.lang.String` | `ATTR_ITEMTYPE`
`static java.lang.String` | `ATTR_LANG_SPEC_TYPE`
`static java.lang.String` | `ATTR_LOCKED`
`static java.lang.String` | `ATTR_MEP`
`static java.lang.String` | `ATTR_MODE`
`static java.lang.String` | `ATTR_NAME`
`static java.lang.String` | `ATTR_OUTHEADER`
`static java.lang.String` | `ATTR_PIVOT`
`static java.lang.String` | `ATTR_PROVIDER`
`static java.lang.String` | `ATTR_QNAME`
`static java.lang.String` | `ATTR_RETHEADER`
`static java.lang.String` | `ATTR_RETITEMQNAME`
`static java.lang.String` | `ATTR_RETITEMTYPE`
`static java.lang.String` | `ATTR_RETQNAME`
`static java.lang.String` | `ATTR_RETTYPE`
`static java.lang.String` | `ATTR_SERIALIZER`
`static java.lang.String` | `ATTR_SOAP12ACTION`
`static java.lang.String` | `ATTR_SOAPACTION`
`static java.lang.String` | `ATTR_SOAPACTORNAME`
`static java.lang.String` | `ATTR_STREAMING`
`static java.lang.String` | `ATTR_STYLE`
`static java.lang.String` | `ATTR_TYPE`
`static java.lang.String` | `ATTR_USE`
`static java.lang.String` | `ATTR_VALUE`
`static java.lang.String` | `BEAN_DESERIALIZER_FACTORY`
`static java.lang.String` | `BEAN_SERIALIZER_FACTORY`
`static java.lang.String` | `ELEM_WSDD_ARRAYMAPPING`
`static java.lang.String` | `ELEM_WSDD_BEANMAPPING`
`static java.lang.String` | `ELEM_WSDD_CHAIN`
`static java.lang.String` | `ELEM_WSDD_DEPLOY`
`static java.lang.String` | `ELEM_WSDD_DOC`
`static java.lang.String` | `ELEM_WSDD_ELEMENTMAPPING`
`static java.lang.String` | `ELEM_WSDD_ENDPOINTURL`
`static java.lang.String` | `ELEM_WSDD_FAULT`
`static java.lang.String` | `ELEM_WSDD_FAULTFLOW`
`static java.lang.String` | `ELEM_WSDD_GLOBAL`
`static java.lang.String` | `ELEM_WSDD_HANDLER`
`static java.lang.String` | `ELEM_WSDD_JAXRPC_CHAIN`
`static java.lang.String` | `ELEM_WSDD_JAXRPC_HANDLERINFO`
`static java.lang.String` | `ELEM_WSDD_JAXRPC_HEADER`
`static java.lang.String` | `ELEM_WSDD_JAXRPC_ROLE`
`static java.lang.String` | `ELEM_WSDD_NAMESPACE`
`static java.lang.String` | `ELEM_WSDD_OPERATION`
`static java.lang.String` | `ELEM_WSDD_PARAM`
`static java.lang.String` | `ELEM_WSDD_REQFLOW`
`static java.lang.String` | `ELEM_WSDD_RESPFLOW`
`static java.lang.String` | `ELEM_WSDD_ROLE`
`static java.lang.String` | `ELEM_WSDD_SERVICE`
`static java.lang.String` | `ELEM_WSDD_TRANSPORT`
`static java.lang.String` | `ELEM_WSDD_TYPEMAPPING`
`static java.lang.String` | `ELEM_WSDD_UNDEPLOY`
`static java.lang.String` | `ELEM_WSDD_WSDLFILE`
`static java.lang.String` | `NS_PREFIX_WSDD`
`static java.lang.String` | `NS_PREFIX_WSDD_JAVA`
`static java.lang.String` | `PROVIDER_BSF`
`static java.lang.String` | `PROVIDER_COM`
`static java.lang.String` | `PROVIDER_CORBA`
`static java.lang.String` | `PROVIDER_EJB`
`static java.lang.String` | `PROVIDER_HANDLER`
`static java.lang.String` | `PROVIDER_MSG`
`static java.lang.String` | `PROVIDER_RMI`
`static java.lang.String` | `PROVIDER_RPC`
`static QName` | `QNAME_ARRAYMAPPING`
`static QName` | `QNAME_BEANMAPPING`
`static QName` | `QNAME_BSF_PROVIDER`
`static QName` | `QNAME_CHAIN`
`static QName` | `QNAME_COM_PROVIDER`
`static QName` | `QNAME_CORBA_PROVIDER`
`static QName` | `QNAME_DEPLOY`
`static QName` | `QNAME_DOC`
`static QName` | `QNAME_EJB_PROVIDER`
`static QName` | `QNAME_ELEMENTMAPPING`
`static QName` | `QNAME_ENDPOINTURL`
`static QName` | `QNAME_FAULT`
`static QName` | `QNAME_FAULTFLOW`
`static QName` | `QNAME_GLOBAL`
`static QName` | `QNAME_HANDLER`
`static QName` | `QNAME_HANDLER_PROVIDER`
`static QName` | `QNAME_JAVAMSG_PROVIDER`
`static QName` | `QNAME_JAVARPC_PROVIDER`
`static QName` | `QNAME_JAXRPC_HANDLERINFO`
`static QName` | `QNAME_JAXRPC_HANDLERINFOCHAIN`
`static QName` | `QNAME_JAXRPC_HEADER`
`static QName` | `QNAME_JAXRPC_ROLE`
`static QName` | `QNAME_NAMESPACE`
`static QName` | `QNAME_OPERATION`
`static QName` | `QNAME_PARAM`
`static QName` | `QNAME_REQFLOW`
`static QName` | `QNAME_RESPFLOW`
`static QName` | `QNAME_RMI_PROVIDER`
`static QName` | `QNAME_SERVICE`
`static QName` | `QNAME_TRANSPORT`
`static QName` | `QNAME_TYPEMAPPING`
`static QName` | `QNAME_UNDEPLOY`
`static QName` | `QNAME_WSDLFILE`
`static java.lang.String` | `URI_WSDD`
`static java.lang.String` | `URI_WSDD_HANDLER`
`static java.lang.String` | `URI_WSDD_JAVA`
`static java.lang.String` | `URI_WSDD_WSDD_BSF`
`static java.lang.String` | `URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN_SERIALIZER_FACTORY

    public static final java.lang.String BEAN_SERIALIZER_FACTORY

See Also:
  Constant Field Values

### BEAN_DESERIALIZER_FACTORY

    public static final java.lang.String BEAN_DESERIALIZER_FACTORY

See Also:
  Constant Field Values

### ARRAY_SERIALIZER_FACTORY

    public static final java.lang.String ARRAY_SERIALIZER_FACTORY

See Also:
  Constant Field Values

### ARRAY_DESERIALIZER_FACTORY

    public static final java.lang.String ARRAY_DESERIALIZER_FACTORY

See Also:
  Constant Field Values

### URI_WSDD

    public static final java.lang.String URI_WSDD

See Also:
  Constant Field Values

### URI_WSDD_JAVA

    public static final java.lang.String URI_WSDD_JAVA

See Also:
  Constant Field Values

### URI_WSDD_HANDLER

    public static final java.lang.String URI_WSDD_HANDLER

See Also:
  Constant Field Values

### URI_WSDD_WSDD_COM

    public static final java.lang.String URI_WSDD_WSDD_COM

See Also:
  Constant Field Values

### URI_WSDD_WSDD_BSF

    public static final java.lang.String URI_WSDD_WSDD_BSF

See Also:
  Constant Field Values

### NS_PREFIX_WSDD

    public static final java.lang.String NS_PREFIX_WSDD

See Also:
  Constant Field Values

### NS_PREFIX_WSDD_JAVA

    public static final java.lang.String NS_PREFIX_WSDD_JAVA

See Also:
  Constant Field Values

### PROVIDER_RPC

    public static final java.lang.String PROVIDER_RPC

See Also:
  Constant Field Values

### PROVIDER_MSG

    public static final java.lang.String PROVIDER_MSG

See Also:
  Constant Field Values

### PROVIDER_HANDLER

    public static final java.lang.String PROVIDER_HANDLER

See Also:
  Constant Field Values

### PROVIDER_EJB

    public static final java.lang.String PROVIDER_EJB

See Also:
  Constant Field Values

### PROVIDER_COM

    public static final java.lang.String PROVIDER_COM

See Also:
  Constant Field Values

### PROVIDER_BSF

    public static final java.lang.String PROVIDER_BSF

See Also:
  Constant Field Values

### PROVIDER_CORBA

    public static final java.lang.String PROVIDER_CORBA

See Also:
  Constant Field Values

### PROVIDER_RMI

    public static final java.lang.String PROVIDER_RMI

See Also:
  Constant Field Values

### QNAME_JAVARPC_PROVIDER

    public static final QName QNAME_JAVARPC_PROVIDER

### QNAME_JAVAMSG_PROVIDER

    public static final QName QNAME_JAVAMSG_PROVIDER

### QNAME_HANDLER_PROVIDER

    public static final QName QNAME_HANDLER_PROVIDER

### QNAME_EJB_PROVIDER

    public static final QName QNAME_EJB_PROVIDER

### QNAME_COM_PROVIDER

    public static final QName QNAME_COM_PROVIDER

### QNAME_BSF_PROVIDER

    public static final QName QNAME_BSF_PROVIDER

### QNAME_CORBA_PROVIDER

    public static final QName QNAME_CORBA_PROVIDER

### QNAME_RMI_PROVIDER

    public static final QName QNAME_RMI_PROVIDER

### ELEM_WSDD_PARAM

    public static final java.lang.String ELEM_WSDD_PARAM

See Also:
  Constant Field Values

### ELEM_WSDD_DOC

    public static final java.lang.String ELEM_WSDD_DOC

See Also:
  Constant Field Values

### ELEM_WSDD_DEPLOY

    public static final java.lang.String ELEM_WSDD_DEPLOY

See Also:
  Constant Field Values

### ELEM_WSDD_UNDEPLOY

    public static final java.lang.String ELEM_WSDD_UNDEPLOY

See Also:
  Constant Field Values

### ELEM_WSDD_REQFLOW

    public static final java.lang.String ELEM_WSDD_REQFLOW

See Also:
  Constant Field Values

### ELEM_WSDD_RESPFLOW

    public static final java.lang.String ELEM_WSDD_RESPFLOW

See Also:
  Constant Field Values

### ELEM_WSDD_FAULTFLOW

    public static final java.lang.String ELEM_WSDD_FAULTFLOW

See Also:
  Constant Field Values

### ELEM_WSDD_HANDLER

    public static final java.lang.String ELEM_WSDD_HANDLER

See Also:
  Constant Field Values

### ELEM_WSDD_CHAIN

    public static final java.lang.String ELEM_WSDD_CHAIN

See Also:
  Constant Field Values

### ELEM_WSDD_SERVICE

    public static final java.lang.String ELEM_WSDD_SERVICE

See Also:
  Constant Field Values

### ELEM_WSDD_TRANSPORT

    public static final java.lang.String ELEM_WSDD_TRANSPORT

See Also:
  Constant Field Values

### ELEM_WSDD_GLOBAL

    public static final java.lang.String ELEM_WSDD_GLOBAL

See Also:
  Constant Field Values

### ELEM_WSDD_TYPEMAPPING

    public static final java.lang.String ELEM_WSDD_TYPEMAPPING

See Also:
  Constant Field Values

### ELEM_WSDD_BEANMAPPING

    public static final java.lang.String ELEM_WSDD_BEANMAPPING

See Also:
  Constant Field Values

### ELEM_WSDD_ARRAYMAPPING

    public static final java.lang.String ELEM_WSDD_ARRAYMAPPING

See Also:
  Constant Field Values

### ELEM_WSDD_OPERATION

    public static final java.lang.String ELEM_WSDD_OPERATION

See Also:
  Constant Field Values

### ELEM_WSDD_ELEMENTMAPPING

    public static final java.lang.String ELEM_WSDD_ELEMENTMAPPING

See Also:
  Constant Field Values

### ELEM_WSDD_WSDLFILE

    public static final java.lang.String ELEM_WSDD_WSDLFILE

See Also:
  Constant Field Values

### ELEM_WSDD_NAMESPACE

    public static final java.lang.String ELEM_WSDD_NAMESPACE

See Also:
  Constant Field Values

### ELEM_WSDD_ENDPOINTURL

    public static final java.lang.String ELEM_WSDD_ENDPOINTURL

See Also:
  Constant Field Values

### ELEM_WSDD_JAXRPC_HANDLERINFO

    public static final java.lang.String ELEM_WSDD_JAXRPC_HANDLERINFO

See Also:
  Constant Field Values

### ELEM_WSDD_JAXRPC_CHAIN

    public static final java.lang.String ELEM_WSDD_JAXRPC_CHAIN

See Also:
  Constant Field Values

### ELEM_WSDD_JAXRPC_ROLE

    public static final java.lang.String ELEM_WSDD_JAXRPC_ROLE

See Also:
  Constant Field Values

### ELEM_WSDD_JAXRPC_HEADER

    public static final java.lang.String ELEM_WSDD_JAXRPC_HEADER

See Also:
  Constant Field Values

### ELEM_WSDD_FAULT

    public static final java.lang.String ELEM_WSDD_FAULT

See Also:
  Constant Field Values

### ELEM_WSDD_ROLE

    public static final java.lang.String ELEM_WSDD_ROLE

See Also:
  Constant Field Values

### QNAME_PARAM

    public static final QName QNAME_PARAM

### QNAME_DOC

    public static final QName QNAME_DOC

### QNAME_DEPLOY

    public static final QName QNAME_DEPLOY

### QNAME_UNDEPLOY

    public static final QName QNAME_UNDEPLOY

### QNAME_REQFLOW

    public static final QName QNAME_REQFLOW

### QNAME_RESPFLOW

    public static final QName QNAME_RESPFLOW

### QNAME_FAULTFLOW

    public static final QName QNAME_FAULTFLOW

### QNAME_HANDLER

    public static final QName QNAME_HANDLER

### QNAME_CHAIN

    public static final QName QNAME_CHAIN

### QNAME_SERVICE

    public static final QName QNAME_SERVICE

### QNAME_TRANSPORT

    public static final QName QNAME_TRANSPORT

### QNAME_GLOBAL

    public static final QName QNAME_GLOBAL

### QNAME_TYPEMAPPING

    public static final QName QNAME_TYPEMAPPING

### QNAME_BEANMAPPING

    public static final QName QNAME_BEANMAPPING

### QNAME_ARRAYMAPPING

    public static final QName QNAME_ARRAYMAPPING

### QNAME_OPERATION

    public static final QName QNAME_OPERATION

### QNAME_ELEMENTMAPPING

    public static final QName QNAME_ELEMENTMAPPING

### QNAME_WSDLFILE

    public static final QName QNAME_WSDLFILE

### QNAME_NAMESPACE

    public static final QName QNAME_NAMESPACE

### QNAME_ENDPOINTURL

    public static final QName QNAME_ENDPOINTURL

### QNAME_JAXRPC_HANDLERINFO

    public static final QName QNAME_JAXRPC_HANDLERINFO

### QNAME_JAXRPC_HANDLERINFOCHAIN

    public static final QName QNAME_JAXRPC_HANDLERINFOCHAIN

### QNAME_JAXRPC_HEADER

    public static final QName QNAME_JAXRPC_HEADER

### QNAME_JAXRPC_ROLE

    public static final QName QNAME_JAXRPC_ROLE

### QNAME_FAULT

    public static final QName QNAME_FAULT

### ATTR_LANG_SPEC_TYPE

    public static final java.lang.String ATTR_LANG_SPEC_TYPE

See Also:
  Constant Field Values

### ATTR_QNAME

    public static final java.lang.String ATTR_QNAME

See Also:
  Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_VALUE

    public static final java.lang.String ATTR_VALUE

See Also:
  Constant Field Values

### ATTR_LOCKED

    public static final java.lang.String ATTR_LOCKED

See Also:
  Constant Field Values

### ATTR_RETQNAME

    public static final java.lang.String ATTR_RETQNAME

See Also:
  Constant Field Values

### ATTR_RETTYPE

    public static final java.lang.String ATTR_RETTYPE

See Also:
  Constant Field Values

### ATTR_RETITEMQNAME

    public static final java.lang.String ATTR_RETITEMQNAME

See Also:
  Constant Field Values

### ATTR_RETITEMTYPE

    public static final java.lang.String ATTR_RETITEMTYPE

See Also:
  Constant Field Values

### ATTR_ITEMQNAME

    public static final java.lang.String ATTR_ITEMQNAME

See Also:
  Constant Field Values

### ATTR_ITEMTYPE

    public static final java.lang.String ATTR_ITEMTYPE

See Also:
  Constant Field Values

### ATTR_MODE

    public static final java.lang.String ATTR_MODE

See Also:
  Constant Field Values

### ATTR_INHEADER

    public static final java.lang.String ATTR_INHEADER

See Also:
  Constant Field Values

### ATTR_OUTHEADER

    public static final java.lang.String ATTR_OUTHEADER

See Also:
  Constant Field Values

### ATTR_RETHEADER

    public static final java.lang.String ATTR_RETHEADER

See Also:
  Constant Field Values

### ATTR_STYLE

    public static final java.lang.String ATTR_STYLE

See Also:
  Constant Field Values

### ATTR_USE

    public static final java.lang.String ATTR_USE

See Also:
  Constant Field Values

### ATTR_STREAMING

    public static final java.lang.String ATTR_STREAMING

See Also:
  Constant Field Values

### ATTR_ATTACHMENT_FORMAT

    public static final java.lang.String ATTR_ATTACHMENT_FORMAT

See Also:
  Constant Field Values

### ATTR_PROVIDER

    public static final java.lang.String ATTR_PROVIDER

See Also:
  Constant Field Values

### ATTR_PIVOT

    public static final java.lang.String ATTR_PIVOT

See Also:
  Constant Field Values

### ATTR_SERIALIZER

    public static final java.lang.String ATTR_SERIALIZER

See Also:
  Constant Field Values

### ATTR_DESERIALIZER

    public static final java.lang.String ATTR_DESERIALIZER

See Also:
  Constant Field Values

### ATTR_ENCSTYLE

    public static final java.lang.String ATTR_ENCSTYLE

See Also:
  Constant Field Values

### ATTR_SOAPACTORNAME

    public static final java.lang.String ATTR_SOAPACTORNAME

See Also:
  Constant Field Values

### ATTR_CLASSNAME

    public static final java.lang.String ATTR_CLASSNAME

See Also:
  Constant Field Values

### ATTR_CLASS

    public static final java.lang.String ATTR_CLASS

See Also:
  Constant Field Values

### ATTR_SOAPACTION

    public static final java.lang.String ATTR_SOAPACTION

See Also:
  Constant Field Values

### ATTR_SOAP12ACTION

    public static final java.lang.String ATTR_SOAP12ACTION

See Also:
  Constant Field Values

### ATTR_MEP

    public static final java.lang.String ATTR_MEP

See Also:
  Constant Field Values

### ATTR_INNER_TYPE

    public static final java.lang.String ATTR_INNER_TYPE

See Also:
  Constant Field Values

### ATTR_INNER_NAME

    public static final java.lang.String ATTR_INNER_NAME

See Also:
  Constant Field Values

Constructor Detail

### WSDDConstants

    public WSDDConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.